# Uses of Interface
org.bukkit.inventory.meta.tags.ItemTagAdapterContext

Packages that use ItemTagAdapterContext
Package
Description
org.bukkit.inventory.meta.tags
Classes that allow attaching custom data to items.

## Uses of ItemTagAdapterContext in org.bukkit.inventory.meta.tags

Methods in org.bukkit.inventory.meta.tags that return ItemTagAdapterContext
Modifier and Type
Method
Description
`@NotNull ItemTagAdapterContext`
CustomItemTagContainer.`getAdapterContext()`
Deprecated.
Returns the adapter context this tag container uses.
Methods in org.bukkit.inventory.meta.tags with parameters of type ItemTagAdapterContext
Modifier and Type
Method
Description
`Z`
ItemTagType.`fromPrimitive(T primitive, @NotNull ItemTagAdapterContext context)`
Deprecated.
Creates a complex object based of the passed primitive value
`T`
ItemTagType.PrimitiveTagType.`fromPrimitive(T primitive, @NotNull ItemTagAdapterContext context)`
`T`
ItemTagType.PrimitiveTagType.`toPrimitive(T complex, @NotNull ItemTagAdapterContext context)`
`T`
ItemTagType.`toPrimitive(Z complex, @NotNull ItemTagAdapterContext context)`
Deprecated.
Returns the primitive data that resembles the complex object passed to this method.